Dismiss Notice
Some Razer services have been impacted due to the unique circumstances COVID-19 has created. We apologize for any inconvenience and appreciate your understanding during this critical time.

Uninstalling Synapse before installing Synapse 2.0?

Discussion in 'Razer Synapse' started by dailyBlueberrypulse670, Jul 13, 2020.

  1. Hi all, I was wondering if there is any need to uninstall the version of Synapse which I have on my computer now in order to install Synapse 2.0? I am installing Synapse 2.0 because the old synapse says that I need it in order to use the chroma lighting feature on my DeathAdder Chroma mouse. This may sound like a silly question but I get confused sometimes by all the different Razer software and I try not to waste disk space on older or obsolete programs. Any clarification or guidance would be greatly appreciated!
     
  2. FiszPL

    FiszPL Well-Known Member

    Which version do you have?
    If older 2.0 version - it'll just update to the newest ver. No need to uninstall.
     
  3. Sorry for the slow reply and thanks for your input FiszPL!

    So I'm pretty sure the version I had before was actually Synapse 3.0, I was confused by the meaning of legacy devices lol. I was prompted to install 2.0 because my DeathAdder mouse is considered "legacy" and is too old to work in the chroma studio like my blackwidow keyboard is.

    All I'm trying to do is have my mouse lighting sync up with my keyboard lighting. But I don't think I can do that now because I use the chroma studio on Synapse 3.0 for my keyboard lighting which is too new to work with the DeathAdder mouse?

    I went ahead and installed the older synapse 2.0 which instantly recognized my DeathAdder mouse unlike the 3.0 version. However, the 2.0 version does not recognize my keyboard and additionally I do not know where/how to do the chroma lighting in the 2.0.

    It sounds like I might be out of luck, but if there is some way to do it that I'm missing I'd be happy to learn.
     
  4. ZiCott

    ZiCott Member

    I am in the same situation, Running an older gen Razer Stealth on Synapse 2.0, but I also have Lancehead, and Cynosa Chroma, and want Synapse 3.0, but my Stealth doesn't support it. Its lame
     
    FiszPL likes this.
Sign In with Razer ID >


Don't have a Razer ID yet?
Get Razer ID >